# FoundationClasses
TKMath
Convert

# Convert_CircleToBSplineCurve Class Reference

This algorithm converts a circle into a rational B-spline curve.
The circle is a Circ2d from package gp and its parametrization is :
P (U) = Loc + R * (Cos(U) * Xdir + Sin(U) * YDir) where Loc is the
center of the circle Xdir and Ydir are the normalized directions
of the local cartesian coordinate system of the circle.
The parametrization range for the circle is U [0, 2Pi].
Warnings :
The parametrization range for the B-spline curve is not [0, 2Pi].
KeyWords :
Convert, Circle, BSplineCurve, 2D .
.

`#include <Convert_CircleToBSplineCurve.hxx>`

Inheritance diagram for Convert_CircleToBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_CircleToBSplineCurve (const gp_Circ2d &C, const Convert_ParameterisationType Parameterisation=Convert_TgtThetaOver2)
| The equivalent B-spline curve has the same orientation as the circle C. .
Standard_EXPORT | Convert_CircleToBSplineCurve (const gp_Circ2d &C, const Standard_Real U1, const Standard_Real U2, const Convert_ParameterisationType Parameterisation=Convert_TgtThetaOver2)
| The circle C is limited between the parametric values U1, U2 in radians. U1 and U2 [0.0, 2*Pi] . The equivalent B-spline curve is oriented from U1 to U2 and has the same orientation as the circle C. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_CircleToBSplineCurve::Convert_CircleToBSplineCurve | ( | const gp_Circ2d & | C,
|  | const Convert_ParameterisationType | Parameterisation = `Convert_TgtThetaOver2`
| ) |

Standard_EXPORT Convert_CircleToBSplineCurve::Convert_CircleToBSplineCurve | ( | const gp_Circ2d & | C,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Convert_ParameterisationType | Parameterisation = `Convert_TgtThetaOver2`
| ) |

## Member Function Documentation

void Convert_CircleToBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_CircleToBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_CircleToBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

The documentation for this class was generated from the following file:

- Convert_CircleToBSplineCurve.hxx